? emacs-goodies-31.4-1.fc14.src.rpm
? emacs-goodies-31.4-2.fc14.src.rpm
? emacs-goodies-31_4-1_fc14
? emacs-goodies-31_4-2_fc14
? emacs-goodies-emacs-compliance.patch
Index: emacs-goodies.spec
===================================================================
RCS file: /cvs/pkgs/rpms/emacs-goodies/devel/emacs-goodies.spec,v
retrieving revision 1.2
diff -u -r1.2 emacs-goodies.spec
--- emacs-goodies.spec	26 Jan 2010 07:00:30 -0000	1.2
+++ emacs-goodies.spec	15 Mar 2010 12:17:06 -0000
@@ -1,23 +1,12 @@
 %global pkg emacs-goodies
 %global pkgname Emacs-goodies
-%global goodies_dir %{buildroot}%{emacs_lispdir}/goodies/
-%global gnus_dir %{buildroot}%{emacs_lispdir}/gnus-bonus/
+%global goodies_dir %{buildroot}%{_emacs_sitelispdir}/goodies/
+%global gnus_dir %{buildroot}%{_emacs_sitelispdir}/gnus-bonus/
 %global installinfo /sbin/install-info
 
-%if %($(pkg-config emacs) ; echo $?)
-%global emacs_version 21.1
-%global emacs_lispdir %{_datadir}/emacs/site-lisp
-%global emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
-%else
-%global emacs_version %(pkg-config emacs --modversion)
-%global emacs_lispdir %(pkg-config emacs --variable sitepkglispdir)
-%global emacs_startdir %(pkg-config emacs --variable sitestartdir)
-%endif
-
-
 Name:		%{pkg}
 Version:	31.4
-Release:	1%{?dist}
+Release:	2%{?dist}
 Summary:	Miscellaneous add-ons for Emacs
 
 Group:		Applications/Editors
@@ -30,11 +19,12 @@
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildArch:	noarch
-BuildRequires:	emacs emacs-el texinfo
-Requires:	emacs(bin) >= %{emacs_version}
+BuildRequires:	emacs texinfo
+Requires:	emacs(bin) >= %{_emacs_version}
 		
 %description
-This is %{pkgname} %{version}, provides add-ons for GNU Emacs and gnus.
+This is %{pkgname} %{version} which provides numerous add-ons for GNU Emacs
+and Gnus.
 
 %package el
 Summary:	Elisp source files for %{pkgname}
@@ -42,8 +32,8 @@
 Requires:	%{name} = %{version}-%{release}
 
 %description el
-This package contains the elisp source files for 
-use with %{pkgname}.
+This package contains the Elisp source files for %{pkgname}. You do not need
+to install this package to use %{pkgname}.
 
 %prep
 %setup -q -n %{pkg}-el-%{version}
@@ -62,24 +52,23 @@
 cd elisp/%{pkg}-el/
 %{__chmod} +x %{pkg}-loaddefs.make
 ./%{pkg}-loaddefs.make
-emacs --no-site-file --batch --eval '(progn (setq load-path (cons "." load-path)))' -f batch-byte-compile *.el
+%{_emacs_bytecompile} *.el
 makeinfo emacs-goodies-el.texi
 iconv -f iso8859-1 -t utf-8 info/emacs-goodies > info/emacs-goodies.utf
 %{__mv} info/emacs-goodies.utf info/emacs-goodies
 cd ../gnus-bonus-el/
-emacs --no-site-file --batch --eval '(progn (setq load-path (cons "." load-path)))' -f batch-byte-compile *.el
+%{_emacs_bytecompile} *.el
 
 %install
-rm -rf %{buildroot}
 %{__install} -pm 755 -d %{goodies_dir}
-%{__install} -pm 755 -d %{buildroot}%{emacs_startdir}
-%{__install} -pm 644 elisp/%{pkg}-el/%{pkg}-loaddefs.el %{buildroot}%{emacs_startdir}
+%{__install} -pm 755 -d %{buildroot}%{_emacs_sitestartdir}
+%{__install} -pm 644 elisp/%{pkg}-el/%{pkg}-loaddefs.el %{buildroot}%{_emacs_sitestartdir}
 %{__install} -pm 644 elisp/%{pkg}-el/*.elc %{goodies_dir}
 %{__install} -pm 644 elisp/%{pkg}-el/*.el %{goodies_dir}
 %{__install} -pm 755 -d %{gnus_dir}
 %{__install} -pm 644 elisp/gnus-bonus-el/*.elc %{gnus_dir}
 %{__install} -pm 644 elisp/gnus-bonus-el/*.el %{gnus_dir}
-%{__install} -pm 644 %{SOURCE1} %{buildroot}%{emacs_startdir}
+%{__install} -pm 644 %{SOURCE1} %{buildroot}%{_emacs_sitestartdir}
 %{__install} -pm 755 -d %{buildroot}%{_infodir}/
 %{__install} -pm 644 elisp/%{pkg}-el/info/%{pkg} %{buildroot}%{_infodir}/
 
@@ -99,21 +88,24 @@
 
 %files
 %defattr(-,root,root,-)
-%{emacs_lispdir}/goodies/*.elc
-%{emacs_startdir}/emacs-goodies-loaddefs.el
-%{emacs_startdir}/gnus-bonus-init.el
-%{emacs_lispdir}/gnus-bonus/*.elc
+%{_emacs_sitelispdir}/goodies/*.elc
+%{_emacs_sitestartdir}/emacs-goodies-loaddefs.el
+%{_emacs_sitestartdir}/gnus-bonus-init.el
+%{_emacs_sitelispdir}/gnus-bonus/*.elc
 %{_infodir}/%{pkg}.gz
-%dir %{emacs_lispdir}/goodies
-%dir %{emacs_lispdir}/gnus-bonus
+%dir %{_emacs_sitelispdir}/goodies
+%dir %{_emacs_sitelispdir}/gnus-bonus
 
 %files el
 %defattr(-,root,root,-)
 %doc COPYING-GPL-v2 COPYING-GPL-v3
-%{emacs_lispdir}/goodies/*.el
-%{emacs_lispdir}/gnus-bonus/*.el
+%{_emacs_sitelispdir}/goodies/*.el
+%{_emacs_sitelispdir}/gnus-bonus/*.el
 
 %changelog
+* Sun Mar 14 2010 Jonathan G. underwood <jonathan.underwood@gmail.com>- 31.4-2
+- Update spec file to comply with Emacs add-on packaging guidelines
+
 * Wed Jan 13 2010 Arun SAG  <sagarun [AT] gmail dot com> - 31.4-1
 - Removed patch1 as it is integrated into source by the upstream
 - Made gnus to be autoloaded using source1
